fTools basics stats randomly crashes qgis
Status: Closed

Priority: Low

Assignee: cfarmer -

Category: Python plugins

Affected QGIS version: Regression?: No

Operating System: Debian Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 12046

Description

Using basic stats from the ftools Tools on a shapefile with strings and reals datas randomly crashes qgis with a segfault. In another hand,

reals attributes are listed twice in the combo.

Ubuntu Jaunty/QGIS 1.3.0

History

#1 - 2009-10-10 07:52 AM - Paolo Cavallini

Can you please provide sample data? I have used the plugin extensively, and never got this crash

#2 - 2009-10-12 12:39 AM - lroubeyrie -

This problem appears with differents datas sources. As a test, take an attribute and click several times on the "Ok" button in the basics stats plugin.

#3 - 2009-10-12 01:57 AM - Giovanni Manghi

I can confirm both the problems under qgis 1.3 from repository and ubuntu 9.04.

I can see the "real" fields duplicated in the layer list of the tool and then also the crashes (seg fault): sometimes is hard to make it crash, sometimes is just a

matter of clicking "ok" a couple of times.

#4 - 2009-11-16 01:55 AM - Giovanni Manghi

Hi,

the problem of the attributes listed twice seems to be gone, while the crashes are still there. Just click twice quickly on the "ok" button to get the stats. If you

click repeatedly but leaving a little more time in between, no problem at all. Using qgis trunk.

#5 - 2010-05-05 02:41 AM - Alexander Bruy

I think problem with craches when OK button pressed twice related with #2057 (patch added).

#6 - 2010-05-13 03:56 PM - cfarmer -

- Resolution set to fixed
- Status changed from Open to Closed

Patch applied in .

Carson
